
Foreman - Bug #37248

New hosts index - Change content source link has no href

03/12/2024 10:13 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Maria Agaphontzev   

Category: Web Interface   

Target version:    

Difficulty: medium Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10094

  

Description

The React context value is not being passed properly from Foreman to Katello. I'm not sure which codebase the problem lies in, but

this causes the 'Change content source' link not to work.

Associated revisions

Revision 46fcd9a4 - 03/13/2024 10:19 PM - Maria Agaphontzev

Fixes #37248 - make hostsIndexContext a singleton

History

#1 - 03/13/2024 02:01 PM - Maria Agaphontzev

- Project changed from Katello to Foreman

- Category changed from Hosts to Web Interface

- Assignee set to Maria Agaphontzev

- Target version deleted (Katello 4.13.0)

#2 - 03/13/2024 02:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10094 added

#3 - 03/13/2024 10:20 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#4 - 03/13/2024 11:00 PM - Maria Agaphontzev

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|46fcd9a41fc19f0bca4b11d7914abf36e6ed1012.
